Subject: [bug#68305] [PATCH] gnu: Add guile-srfi-197.

From: Tomas Volf <[email-masked]>
Date: Fri, 12 Jan 2024 17:47:16 +0100

On 2024-01-12 17:10:50 +0100, Mathieu Othacehe wrote:
> 
> Hello,
> 
> > +(define-public guile-srfi-197
> > +  (let ((commit "d31b8be86460bf837cccf2737a1b9b9c01788573")
> > +        (revision "0"))
> 
> You should explain why you are not using a release with a comment. The
> "final" tag for instance.

Comment added.

> 
> > +        #~(modify-phases %standard-phases
> > +            (add-after 'unpack 'create-module
> > +              (λ _
> 
> Please use 'lambda'.

I replaced all occurrences.  Is there something regarding this in the manual?  I
see no mention of it and guix style leaves it as it is.  There are few (~5) uses
in the repository already, so I assumed it is permitted.

> 
> > +SRFI defines a family of chain and nest pipeline operators, which can rewrite
> > +nested expressions like (a b (c d (e f g))) as a sequence of operations:
> 
> @code{(a b (c d (e f g)))}
> 
> > +(chain g (e f _) (c d _) (a b _)).")
> 
> @code{(chain g (e f _) (c d _) (a b _)).")}
> 
> Can you please send a v2?

Done and done.

Have a nice day,
Tomas Volf

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.